# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/cvsroot/gentoo-x86/media-video/gmencoder/gmencoder-0.1.0.ebuild


DESCRIPTION="Gmencoder is a gnome-2 front-end to mplayer/mencoder. It support much of the output codecs as well as postprocesing, cropping, scale, subtitles ripping, 1, 2 and 3 passes for encoding and a lot of more options are planned."
HOMEPAGE="http://gmencoder.sourceforge.net/"
SRC_URI=""mirror://sourceforge/gmencoder/${P}.tgz
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~ppc ~x86"
IUSE="gtk2"
MY_PV="${PV/_/}"
S="${WORKDIR}/gmencoder-${MY_PV}"


DEPEND="media-video/mplayer
		gnome-base/libgnomeui
		gtk2? ( >=x11-libs/gtk+-2.0.6
				 >=dev-libs/glib-2.0.6 )"


src_unpack() {

    unpack gmencoder-${MY_PV}.tgz
}

src_compile() {

	local myconf=""

	./configure ${myconf} --prefix=/usr --mandir=/usr/share/man -infodir=/usr/share/info --host=${CHOST} || die
		emake || die
}

src_install() {

    make prefix=${D}/usr \
	BINDIR=${D}/usr/bin \
	LIBDIR=${D}/usr/lib \
	MANDIR=${D}/usr/share/man \
	install || die
}
